-- 
-- Posterity 0.6dev-r132 - Mail filtering support
--
CREATE TABLE `filter` (
  `enabled` tinyint(1) NOT NULL,
  `to` text,
  `from_` text,
  `subject` text,
  `contains` text,
  `archive` tinyint(1) NOT NULL,
  `delete_` tinyint(1) NOT NULL,
  `forward_to` text,
  `id` int(11) NOT NULL auto_increment,
  `account_id` int(11) NOT NULL,
  `tag_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_filter_account_id` (`account_id`),
  KEY `ix_filter_tag_id` (`tag_id`),
  CONSTRAINT `filter_account_id_fk` FOREIGN KEY (`account_id`) REFERENCES `account` (`id`),
  CONSTRAINT `filter_tag_id_fk` FOREIGN KEY (`tag_id`) REFERENCES `tag` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
